export declare class Enum {
    static getName(enumType: any, value: number): string;
    static parse(enumType: any, value: string | number, upperFirstChar?: boolean): number;
    private static upperFirstChar;
    static getNames(enumType: any): string[];
    static getValues(enumType: any): number[];
    name: string;
    value: number;
    toString(): string;
    constructor(name: string, value?: number);
}
